# Package blog OneStartup

  **onestartup/blog** is a module blog for websites

# Installation

- Run this in the terminal

```php
composer require onestartup/blog
```

- after add the ServiceProvider to the providers array in config/app.php

```php
Onestartup\Blog\BlogServiceProvider::class,
```

- Run migration

```php
php artisan migrate
```

- add next lines to app/User.php

```php
public function entries()
{
    return $this->hasMany('Onestartup\Blog\Model\Entry', 'user_id');
}
```

- run command for publish views

```php
php artisan vendor:publish --provider="Onestartup\Blog\BlogServiceProvider"
```

- run serv

```php
php artisan serve
```

- test in this route how admin user

```php
http://localhost:8000/admin/blog/entry
```

- test in this route 

```php
http://localhost:8000/blog
```