<?php

namespace Onestartup\Blog\Controller;

use Illuminate\Http\Request;
use App\Http\Requests;
use App\Http\Controllers\Controller;
use Yajra\Datatables\Datatables;

use Onestartup\Blog\Model\Entry;
use Onestartup\Blog\Model\CommentPost;

class CommentPostController extends Controller
{
 	
    public function index(Request $request)
   	{
   		$comments = CommentPost::where('moderate', 1)->paginate(30);

   		if (isset($request->approved)) {
   			$comments = CommentPost::where('approved', $request->approved)->paginate(30);
   		}

   		if (isset($request->moderate)) {
   			$comments = CommentPost::where('moderate', $request->moderate)->paginate(30);
   		}



   		return view('blog::comments.index')
            ->with('comments', $comments);
   		
   	}

   	public function moderateComment(Request $request, $id)
   	{
   		$comment = CommentPost::find($id);
   		$comment->approved = $request->approved;
   		$comment->moderate = 2;
   		$comment->save();

   		return redirect()->back();
   	}   
    
}
